Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.gse
[Java] Class DependencyTracker

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.tools.gse.DependencyTracker

    public class DependencyTracker
    extends ClassCodeVisitorSupport

Constructor Summary
`DependencyTracker(SourceUnit source, StringSetMap cache)`
`DependencyTracker(SourceUnit source, StringSetMap cache, java.util.Map precompiledEntries)`

Method Summary
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitArrayExpression(ArrayExpression expression)`
`void` | `visitCastExpression(CastExpression expression)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClass(ClassNode node)`
`void` | `visitClassExpression(ClassExpression expression)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
`void` | `visitField(FieldNode node)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitVariableExpression(VariableExpression expression)`

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DependencyTracker

    public DependencyTracker(SourceUnit source, StringSetMap cache)

### DependencyTracker

    public DependencyTracker(SourceUnit source, StringSetMap cache, java.util.Map precompiledEntries)

Method Detail

### getSourceUnit

    @Override
    protected SourceUnit getSourceUnit()

### visitAnnotations

    @Override
    public void visitAnnotations(AnnotatedNode node)

### visitArrayExpression

    @Override
    public void visitArrayExpression(ArrayExpression expression)

### visitCastExpression

    @Override
    public void visitCastExpression(CastExpression expression)

### visitCatchStatement

    @Override
    public void visitCatchStatement(CatchStatement statement)

### visitClass

    @Override
    public void visitClass(ClassNode node)

### visitClassExpression

    @Override
    public void visitClassExpression(ClassExpression expression)

### visitConstructorCallExpression

    @Override
    public void visitConstructorCallExpression(ConstructorCallExpression call)

### visitField

    @Override
    public void visitField(FieldNode node)

### visitMethod

    @Override
    public void visitMethod(MethodNode node)

### visitVariableExpression

    @Override
    public void visitVariableExpression(VariableExpression expression)

Groovy Documentation